{% load fontawesome_5 %}


<form method="post" enctype="multipart/form-data">
    {% csrf_token %}
    <input type="hidden" name="n_fields" id="n_fields" value="{{ n_fields }}" />
    <p><label for="method">Method </label><input id="method" name="method" type="text" value="{{ method }}" /></p>
    <div id="field_parent">
        {% for i, name, value in field_info %}
            <p>
                <input type="text" name="field_name_{{ i }}" for="field_value_{{ i }}" value="{{ name }}" />
                {% if value.filename %}
                    <input type="file" name="field_value_{{ i }}" id="field_value_{{ i }}" />
                {% else %}
                    <input type="text" name="field_value_{{ i }}" id="field_value_{{ i }}" value="{{ value }}" />
                {% endif %}
            </p>
        {% endfor %}
    </div>
    <ul class="buttons compact-buttons">
        <li><a href="#" onclick="add_field('text'); return false;">{% fa5_icon "plus-square" "fas" %} Add Field</a></li>
        <li><a href="#" onclick="add_field('file'); return false;">{% fa5_icon "folder-plus" "fas" %} Add File</a></li>
        <li><button type="submit">{% fa5_icon "paper-plane" "fas" %} Submit</button></li>
    </ul>
</form>

<pre>{{ data }}</pre>


<script>

var n_fields = document.getElementById("n_fields");
var parent = document.getElementById("field_parent");

function add_field(type)
{
    var p = document.createElement("p");

    var name = document.createElement("input");
    name.setAttribute("type", "text");
    name.setAttribute("name", "field_name_" + n_fields.value);
    name.setAttribute("for", "field_value_" + n_fields.value);
    p.appendChild(name);

    var field = document.createElement("input");
    field.setAttribute("type", type);
    field.setAttribute("name", "field_value_" + n_fields.value);
    field.setAttribute("id", "field_value_" + n_fields.value);
    p.appendChild(field);

    parent.appendChild(p);

    n_fields.value = Number(n_fields.value) + 1;
}

</script>
